Skip to Content
WalletsList Wallets

List Wallets

  • Method: GET
  • Path: /api/v1/cp/wallets/
  • Auth: API Key (HMAC)

Query parameters

  • The request body is empty.

Response objects may include wallet-level identifiers as well as asset and network data such as assetId, chainId, and networks.

Example request

curl -X GET "https://<HOST>/api/v1/cp/wallets" \ -H "api-key: <YOUR_API_KEY>" \ -H "timestamp: 1712668800" \ -H "signature: <HMAC_SIGNATURE>"

Pre-request script

Use this Postman pre-request script to generate and inject the api-key, timestamp, and signature headers.

const apiKey = '<YOUR_API_KEY>'; const apiSecret = '<YOUR_API_SECRET_KEY>'; const timestamp = Math.floor(Date.now() / 1000).toString(); let body = ''; if (pm.request.body && pm.request.body.mode === 'raw') { const raw = pm.request.body.raw?.trim(); if (raw) { body = JSON.stringify(JSON.parse(raw)); } } const payload = `${timestamp}.${body}`; const signature = CryptoJS.HmacSHA256(payload, apiSecret).toString(CryptoJS.enc.Hex); pm.request.headers.upsert({ key: 'api-key', value: apiKey }); pm.request.headers.upsert({ key: 'timestamp', value: timestamp }); pm.request.headers.upsert({ key: 'signature', value: signature });

Access

You must also access this endpoint with a Bearer token.

Authorization: Bearer <YOUR_BEARER_TOKEN>

Sample response

{ "status": true, "message": "Data fetched successfully", "isSuccess": true, "result": [ { "id": "69b27b05e6207a9525f74dfa", "active": true, "amount": 0, "freezeAmount": 0, "isCrypto": true, "asset": "BTC", "assetDetails": { "symbol": "BTC", "name": "Bitcoin", "image": "btc.png" }, "chain": { "name": "Bitcoin", "symbol": "BTC" }, "createdAt": "2026-03-12T08:36:21.982Z", "updatedAt": "2026-03-12T08:36:21.982Z" }, { "id": "69b27b06e6207a9525f74e2c", "active": true, "amount": 298.95, "freezeAmount": 0, "isCrypto": true, "asset": "USDT", "assetDetails": { "symbol": "USDT", "name": "Tether USD", "image": "usdt.png" }, "chain": { "name": "Tron", "symbol": "TRX" }, "createdAt": "2026-03-12T08:36:22.303Z", "updatedAt": "2026-04-03T12:29:53.427Z" } ] }
Last updated on